# WaitpidError
<span class="source-link">[[Source]](src/process/process_monitor.md#L95)</span>
```pony
primitive val WaitpidError
```

## Constructors

### create
<span class="source-link">[[Source]](src/process/process_monitor.md#L95)</span>


```pony
new val create()
: WaitpidError val^
```

#### Returns

* [WaitpidError](process-WaitpidError.md) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/process/process_monitor.md#L96)</span>


```pony
fun box eq(
  that: WaitpidError val)
: Bool val
```
#### Parameters

*   that: [WaitpidError](process-WaitpidError.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/process/process_monitor.md#L96)</span>


```pony
fun box ne(
  that: WaitpidError val)
: Bool val
```
#### Parameters

*   that: [WaitpidError](process-WaitpidError.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

